## metapixel 1.0.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/man
 
-VERSION = 0.11
+VERSION = 1.0.0
 
 #DEBUG = -g
 OPTIMIZE = -O2
