=== debian/changelog ===
metapixel (1.0.2-13) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Valdecir Sarat <vsarat@alunos.utfpr.edu.br>  Thu, 30 Oct 2025 20:58:44 -0300

metapixel (1.0.2-12) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:13:04 +0000

metapixel (1.0.2-11) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 0.9-2.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:19:21 +0100

metapixel (1.0.2-10) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -ffile-prefix-map to dh_auto_build.
    (Closes: #1010486)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 02 May 2022 13:43:54 -0700

metapixel (1.0.2-9) unstable; urgency=medium

  [ Tobias Frost ]
  * QA upload.
  * Point d/watch to monitor the git repository.
  * Change to debhelper-compat and to compat level 13.
  * Fix field name case in debian/control (VCS-Git => Vcs-Git).
  * Bump S-V to 4.6.0 -- no changes required
  * Add "Rules-Requires-Root" hint to d/control.
  * Add Applied-Upstream hints to the patches.
  * Fix "incorrectly follows symlinks (patch provided)", applyinh patch from
    the BTS, thanks to Yaroslav for providing it (Closes: #793155)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #930901)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Fix makefile dependencies.

 -- Tobias Frost <tobi@debian.org>  Wed, 10 Nov 2021 20:01:21 +0100

metapixel (1.0.2-8) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA Team.
  * Switch to dpkg-source 3.0 (quilt) format
    - The patch had also created files which where already there, with
      identical content, just lowercased filename. Those are dropped from the
      patch.
    - Splitted the patch in two parts: one for libgif, one for libpng
  * Do not set palette and other optional metadata when writing png files.
    (Closes: #824229)
  * Convert to short debhelper format.
  * Bump compat level to 12 (and B-D on debhelper >=12).
  * Apply wrap-and-sort, remove trailing whitespaces from d/changelog
  * Add Homepage field in d/control.
  * Bump S-V to 4.3.0 -- no changes required
  * Add packaging repository at salsa.d.o.

 -- Tobias Frost <tobi@debian.org>  Sun, 09 Jun 2019 01:53:30 +0200

metapixel (1.0.2-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS caused by last upload

 -- Tobias Frost <tobi@debian.org>  Thu, 14 Jan 2016 07:23:29 +0100

metapixel (1.0.2-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng 1.5" by applying patch from Nobuhiro
    (Closes: #636004)
  * Change Build-Depends on libpng-dev from libpng12-dev (Closes: #662431)

 -- Tobias Frost <tobi@debian.org>  Wed, 06 Jan 2016 12:25:03 +0100

metapixel (1.0.2-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803285.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 05:05:47 +0000

metapixel (1.0.2-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depends on libjpeg-dev, not libjpeg62-dev (Closes: #643635)

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Nov 2011 10:44:46 +0100

metapixel (1.0.2-7) unstable; urgency=low

  * Updated standards version.
  * Added misc:Depends to dependencies

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sat, 28 May 2011 19:31:59 +0800

metapixel (1.0.2-6) unstable; urgency=low

  * Changing build dependency from libungif4-dev to libgif-dev (closes: 540147)
  * Made a few changes to copyright file to make package Lintian clean
  * Updated to latest standards version (no changes)

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sun, 16 Aug 2009 20:59:54 +0800

metapixel (1.0.2-5) unstable; urgency=low

  * Adds metapixelrc, thanks to Wolf Wiegand for reporting this
    (closes: 435294)

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sun, 02 Sep 2007 13:57:01 +0200

metapixel (1.0.2-4) unstable; urgency=medium

  * Updated build-dependencies, thanks to Regis Boudin for reporting this
    (closes: 424617)

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sat, 12 May 2007 18:11:31 +0200

metapixel (1.0.2-3) unstable; urgency=low

  * Author's website changed: fixed watch file and copyright file

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Tue, 03 Apr 2007 02:52:58 +0200

metapixel (1.0.2-2) unstable; urgency=low

  * fixed watch file

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Fri, 19 Jan 2007 00:24:02 +0100

metapixel (1.0.2-1) unstable; urgency=low

  * Fixed typo in changelog

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Thu, 18 Jan 2007 16:25:07 +0100

metapixel (1.0.2-0) unstable; urgency=low

  * New upstream release (closes:407298)
  * Updated to latest standards version (no changes)

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Thu, 18 Jan 2007 13:51:22 +0100

metapixel (1.0.1-1) unst able; urgency=low

  * New upstream release
  * Switched to debhelper compatibility level 5

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Thu, 23 Feb 2006 08:43:43 +0100

metapixel (1.0.0-4) unstable; urgency=low

  * New maintainer email address.

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sat, 14 Jan 2006 00:53:48 +0100

metapixel (1.0.0-3) unstable; urgency=low

  * Updated to latest standards version (no changes)
  * Added metapixel-imagesize, metapixel-convert and metapixel-sizesort to the
    package (closes:#341099)

 -- Chris Vanden Berghe <Chris@VandenBerghe.org>  Wed,  4 Jan 2006 11:48:11 +0100

metapixel (1.0.0-2) unstable; urgency=low

  * Updated to latest standards version (no changes).
  * Added watch file.


