=== debian/control ===
Source: metapixel
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               libgif-dev,
               libjpeg-dev,
               libpng-dev,
               xsltproc
Standards-Version: 4.6.1
Homepage: https://www.complang.tuwien.ac.at/schani/metapixel/
Vcs-Git: https://salsa.debian.org/debian/metapixel.git
Vcs-Browser: https://salsa.debian.org/debian/metapixel
Rules-Requires-Root: no

Package: metapixel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: generator for photomosaics
 Metapixel is a program for generating photomosaics. It can generate
 classical photomosaics, in which the source image is viewed as a matrix
 of equally sized rectangles for each of which a matching image is
 substitued, as well as collage-style photomosaics, in which rectangular
 parts of the source image at arbitrary positions (i.e. not aligned to a
 matrix) are substituted by matching images.
