=== debian/rules ===
#!/usr/bin/make -f

PREFIX = $(CURDIR)/debian/metapixel
BINDIR = $(PREFIX)/usr/bin
MANDIR = $(PREFIX)/usr/share/man

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PROFILE="-ffile-prefix-map=$(CURDIR)=." MANPAGE_XSL=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(PREFIX) BINDIR=$(BINDIR) MANDIR=$(MANDIR)
