=== debian/tests/control ===
Test-Command: metapixel --help | grep '^Usage' -C 10
Restrictions: superficial
