=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.0.2+git%cd, dversionmangle=s/\+dfsg\d*$//" \
https://github.com/schani/metapixel \
heads/v1.0 debian uupdate
